Accept project transfer request
PUT
https://api.vercel.com/projects/transfer-request/{code}Accept a project transfer request initated by another team.
The
The
code is generated using the POST /projects/:idOrName/transfer-request endpoint.Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.projects.acceptProjectTransferRequest({ code: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", requestBody: { newProjectName: "a-project-name", }, });
console.log(result);}
run();Response
{ "partnerCalls": [ { "installationId": "example_id", "resourceIds": [], "result": { "code": "string", "error": "value", "status": "errored" } } ], "projectName": "Example Name", "resourceTransferErrors": [ "value" ], "transferredStoreIds": []}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
422Error